

namespace Hawkeye.VisionBuilder.Workflow.Datatypes.Elements.Rectangle;

public class RectangleSizeNode:INode
{
    private readonly RectangleElement _owner;

    public RectangleSizeNode(RectangleElement owner)
    {
        _owner = owner;
    }

    public void SetPosition(Vector2 position)
    {
        _owner.Size=position-_owner.Location - _owner.Offset;
    }
}